Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CurveAnimUI Class Reference
Inheritance diagram for CurveAnimUI:

## Public Member Functions
| __init__ (self, parent, editor)
| DoLayout (self)
| OnChooseCurve (self, evt)
| OnChooseNode (self, evt)
| OnCreateAnim (self, evt)
| OnExit (self, evt)
| OnSaveAnim (self, evt)
| SetProperties (self)

## Public Attributes
| chooseCurve = wx.StaticText( self.mainPanel, -1, "Choose attch Curve:")
| chooseCurveButton = wx.Button( self.mainPanel, -1, "Choose..")
| chooseCurveTxt = wx.TextCtrl( self.mainPanel, -1, "")
| chooseNode = wx.StaticText( self.mainPanel, -1, "Choose NodePath:")
| chooseNodeButton = wx.Button( self.mainPanel, -1, "Choose..")
| chooseNodeTxt = wx.TextCtrl( self.mainPanel, -1, "")
| createAnimButton = wx.Button( self.mainPanel, -1, "Creat")
| curve = None
| curveSequence = self.editor.animMgr.singleCurveAnimation(self.nodePath, self.curve, self.time)
| duritionTime = wx.StaticText( self.mainPanel, -1, "Durition(Frame):")
| duritionTimeSpin = wx.SpinCtrl( self.mainPanel, -1, "",size = (70,25), min=24, max=10000)
| editor = editor
| mainPanel = wx.Panel(self, -1)
| nodePath = None
| OnChooseCurve
| OnChooseNode
| OnCreateAnim
| OnExit
| OnSaveAnim
| saveAnimButton = wx.Button( self.mainPanel, -1, "Save Animation")
| time = self.duritionTimeSpin.GetValue()

## Detailed Description

    This is the Curve Animation Panel implementation.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor )

## Member Function Documentation

## ◆ DoLayout()

DoLayout | ( |  | self | ) |

## ◆ OnChooseCurve()

OnChooseCurve | ( |  | self,
|  |  | evt )

## ◆ OnChooseNode()

OnChooseNode | ( |  | self,
|  |  | evt )

## ◆ OnCreateAnim()

OnCreateAnim | ( |  | self,
|  |  | evt )

## ◆ OnExit()

OnExit | ( |  | self,
|  |  | evt )

## ◆ OnSaveAnim()

OnSaveAnim | ( |  | self,
|  |  | evt )

## ◆ SetProperties()

SetProperties | ( |  | self | ) |

## Member Data Documentation

## ◆ chooseCurve

chooseCurve = wx.StaticText( self.mainPanel, -1, "Choose attch Curve:")

## ◆ chooseCurveButton

chooseCurveButton = wx.Button( self.mainPanel, -1, "Choose..")

## ◆ chooseCurveTxt

chooseCurveTxt = wx.TextCtrl( self.mainPanel, -1, "")

## ◆ chooseNode

chooseNode = wx.StaticText( self.mainPanel, -1, "Choose NodePath:")

## ◆ chooseNodeButton

chooseNodeButton = wx.Button( self.mainPanel, -1, "Choose..")

## ◆ chooseNodeTxt

chooseNodeTxt = wx.TextCtrl( self.mainPanel, -1, "")

## ◆ createAnimButton

createAnimButton = wx.Button( self.mainPanel, -1, "Creat")

## ◆ curve

curve = None

## ◆ curveSequence

curveSequence = self.editor.animMgr.singleCurveAnimation(self.nodePath, self.curve, self.time)

## ◆ duritionTime

duritionTime = wx.StaticText( self.mainPanel, -1, "Durition(Frame):")

## ◆ duritionTimeSpin

duritionTimeSpin = wx.SpinCtrl( self.mainPanel, -1, "",size = (70,25), min=24, max=10000)

## ◆ editor

editor = editor

## ◆ mainPanel

mainPanel = wx.Panel(self, -1)

## ◆ nodePath

nodePath = None

## ◆ OnChooseCurve

OnChooseCurve

## ◆ OnChooseNode

OnChooseNode

## ◆ OnCreateAnim

OnCreateAnim

## ◆ OnExit

OnExit

## ◆ OnSaveAnim

OnSaveAnim

## ◆ saveAnimButton

saveAnimButton = wx.Button( self.mainPanel, -1, "Save Animation")

## ◆ time

time = self.duritionTimeSpin.GetValue()